# BF Error Codes

{% embed url="<https://delfsengineering.notion.site/03ffe884354946b5a6536bafc9b572d8?v=6b9cf03905d444cf9e39da81c2e7d3e5&pvs=4>" %}

| Error Code       | Description                                                                                                                 | Other information passed                 |
| ---------------- | --------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------- |
| **10xxx Series** | **Errors generated within client (browser) side code**                                                                      |                                          |
|                  |                                                                                                                             |                                          |
| **100xx**        | **Site Related**                                                                                                            |                                          |
|                  |                                                                                                                             |                                          |
| 10010            | DOM Header insertion error, There was an error with adding content to the \<head> tag. Usually a JS error or resource error | script content and error                 |
| 10020            | HTML Render error                                                                                                           |                                          |
| 10030            | Custom component not found.                                                                                                 | Component name                           |
| 10040            | Vue warning captured                                                                                                        | error info                               |
| 10042            | vue Errror captured                                                                                                         | error info                               |
|                  |                                                                                                                             |                                          |
| **101xx**        | **Action Related**                                                                                                          |                                          |
| 10100            | No action handler found for the passed action. Check action name.                                                           | The action                               |
| 10110            | `namedAction` not found, BF tried to look for the named action in the for and site and was unable to find it.               | The action that caused the issue         |
| 10112            | Clipboard copy action error                                                                                                 |                                          |
| 10120            | No `onResponse_actions` has been configured. This is used on elements that have callbacks like payment gateways.            | The response the element tried to handle |
|                  |                                                                                                                             |                                          |
| **103xx**        | **Hook Related**                                                                                                            |                                          |
| 10300            | Error calling FMS, FMS returned an error                                                                                    | Result                                   |
|                  |                                                                                                                             |                                          |
| **10900**        | **Other**                                                                                                                   |                                          |
|                  |                                                                                                                             |                                          |
|                  |                                                                                                                             |                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klai.studio/v1/reference/bf-error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
